Bug 688264 - Review Request: perl-Test-CPAN-Meta-YAML - Validate a META.yml file within a CPAN distribution
Summary: Review Request: perl-Test-CPAN-Meta-YAML - Validate a META.yml file within a ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 16:50 UTC by Paul Howarth
Modified: 2011-04-27 18:51 UTC (History)
2 users (show)

Fixed In Version: perl-Test-CPAN-Meta-YAML-0.17-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-27 18:51:43 UTC
iarnell: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-03-16 16:50:30 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Test-CPAN-Meta-YAML/branches/fedora/perl-Test-CPAN-Meta-YAML.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Test-CPAN-Meta-YAML/perl-Test-CPAN-Meta-YAML-0.17-2.fc16.src.rpm

Description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that are
slowly being introduced to module uploads, via the use of ExtUtils::MakeMaker,
Module::Build and Module::Install.

EPEL-4/5 builds of this package will require branching/building of perl-Test-YAML-Valid, which I have requested in Bug #426537

Comment 1 Iain Arnell 2011-03-17 16:26:09 UTC
Spec looks sane, clean and consistent; make test passes cleanly.

There's a potential for confusion over the license: four files state
"Artistic 2.0", but somewhat ironically, META.yml states "perl". I
believe that upstream really intends this to be "Artistic 2.0", but you
should report the inconsistency.

APPROVED.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2920593

Source tarballs match upstream (sha1sum):
ea8b7610f3826c35001c64c16990602e3d70674e Test-CPAN-Meta-YAML-0.17.tar.gz
ea8b7610f3826c35001c64c16990602e3d70674e Test-CPAN-Meta-YAML-0.17.tar.gz.srpm

Final provides / requires are sane:

======> perl-Test-CPAN-Meta-YAML-0.17-2.fc16.noarch.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
perl(Test::CPAN::Meta::YAML) = 0.17
perl-Test-CPAN-Meta-YAML = 0.17-2.fc16
perl(Test::CPAN::Meta::YAML::Version) = 0.17
====> requires
perl(:MODULE_COMPAT_5.12.3)  
perl(strict)  
perl(Test::Builder)  
perl(Test::CPAN::Meta::YAML::Version)  
perl(Test::YAML::Valid)  
perl(vars)  
perl(warnings)  
perl(YAML::Syck)  
====> obsoletes
====> conflicts

======> perl-Test-CPAN-Meta-YAML-0.17-2.fc16.src.rpm <======
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides
====> requires
perl(ExtUtils::MakeMaker)  
perl(Test::Builder)  
perl(Test::Builder::Tester)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  
perl(Test::YAML::Valid) >= 0.03
perl(YAML::Syck)  
====> obsoletes
====> conflicts


====> mock install
INFO: mock.py version 1.1.9 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.9
INFO: Mock Version: 1.1.9
State Changed: lock buildroot
INFO: installing package(s): perl-Test-CPAN-Meta-YAML-0.17-2.fc16.noarch.rpm
INFO: 
================================================================================
 Package                  Arch   Version           Repository              Size
================================================================================
Installing:
 perl-Test-CPAN-Meta-YAML noarch 0.17-2.fc16       /perl-Test-CPAN-Meta-YAML-0.17-2.fc16.noarch
                                                                           45 k
Installing for dependencies:
 perl-CPAN                noarch 1.9402-156.fc16   local                  246 k
 perl-Digest-SHA          x86_64 1:5.47-156.fc16   local                   63 k
 perl-ExtUtils-MakeMaker  noarch 6.56-156.fc16     local                  289 k
 perl-ExtUtils-ParseXS    noarch 1:2.2206-156.fc16 local                   44 k
 perl-Test-Harness        noarch 3.17-156.fc16     local                  239 k
 perl-Test-Simple         noarch 0.98-1.fc16       fedora                 117 k
 perl-Test-YAML-Valid     noarch 0.04-4.fc15       fedora                  12 k
 perl-YAML                noarch 0.72-2.fc15       fedora                  82 k
 perl-YAML-Syck           x86_64 1.17-2.fc15       fedora                  80 k
 perl-devel               x86_64 4:5.12.3-156.fc16 local                  448 k
 python                   x86_64 2.7.1-6.fc15      fedora                  73 k
 systemtap-sdt-devel      x86_64 1.4-5.fc16        fedora                  41 k

Transaction Summary
================================================================================
Install      13 Package(s)

Total size: 1.7 M
Installed size: 4.5 M

Installed:
  perl-Test-CPAN-Meta-YAML.noarch 0:0.17-2.fc16                                 

Dependency Installed:
  perl-CPAN.noarch 0:1.9402-156.fc16                                            
  perl-Digest-SHA.x86_64 1:5.47-156.fc16                                        
  perl-ExtUtils-MakeMaker.noarch 0:6.56-156.fc16                                
  perl-ExtUtils-ParseXS.noarch 1:2.2206-156.fc16                                
  perl-Test-Harness.noarch 0:3.17-156.fc16                                      
  perl-Test-Simple.noarch 0:0.98-1.fc16                                         
  perl-Test-YAML-Valid.noarch 0:0.04-4.fc15                                     
  perl-YAML.noarch 0:0.72-2.fc15                                                
  perl-YAML-Syck.x86_64 0:1.17-2.fc15                                           
  perl-devel.x86_64 4:5.12.3-156.fc16                                           
  python.x86_64 0:2.7.1-6.fc15                                                  
  systemtap-sdt-devel.x86_64 0:1.4-5.fc16                                       


State Changed: unlock buildroot

Comment 2 Paul Howarth 2011-03-17 22:05:43 UTC
New Package SCM Request
=======================
Package Name: perl-Test-CPAN-Meta-YAML
Short Description: Validate a META.yml file within a CPAN distribution
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-13 F-14 F-15
InitialCC: perl-sig

Comment 3 Paul Howarth 2011-03-17 22:10:36 UTC
License inconsistency raised upstream:

https://rt.cpan.org/Public/Bug/Display.html?id=66692

Thanks for the review Iain.

Comment 4 Jason Tibbitts 2011-03-18 17:52:06 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-18 20:03:55 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-YAML-0.17-2.fc13

Comment 6 Fedora Update System 2011-03-18 20:04:02 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-YAML-0.17-2.fc15

Comment 7 Fedora Update System 2011-03-18 20:04:10 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-YAML-0.17-2.el6

Comment 8 Fedora Update System 2011-03-18 20:04:17 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-YAML-0.17-2.fc14

Comment 9 Fedora Update System 2011-03-23 05:03:43 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-03-26 21:22:38 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 11 Fedora Update System 2011-03-26 21:23:00 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-04-05 03:01:31 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 13 Fedora Update System 2011-04-08 20:47:34 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-YAML-0.17-2.el5

Comment 14 Fedora Update System 2011-04-08 20:47:42 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-CPAN-Meta-YAML-0.17-2.el4

Comment 15 Fedora Update System 2011-04-24 21:58:46 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 16 Fedora Update System 2011-04-24 21:59:18 UTC
perl-Test-CPAN-Meta-YAML-0.17-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.